package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TgenemessagestructureheaderDTO implements Serializable {

    private static final long serialVersionUID = 107681682104253L;

    private Integer tgenemessagestructureheaderPK;

    private String description;

    private Integer recordversion;

    private String datatype;

    private Short length;

    private String required;

    private Short initposition;

    private Short endposition;

    private Short decimalnumber;

    private String initvalue;

    private String fillercharacter;

    private String leftrefiller;

    private String attribute;

    private Integer tgenemessagestructure;

        public Integer getTgenemessagestructureheaderPK() {
    return tgenemessagestructureheaderPK;
    }

        public void setTgenemessagestructureheaderPK(Integer tgenemessagestructureheaderPK) {
    this.tgenemessagestructureheaderPK = tgenemessagestructureheaderPK;
    }

        public String getDescription() {
    return description;
    }

        public void setDescription(String description) {
    this.description = description;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public String getDatatype() {
    return datatype;
    }

        public void setDatatype(String datatype) {
    this.datatype = datatype;
    }

        public Short getLength() {
    return length;
    }

        public void setLength(Short length) {
    this.length = length;
    }

        public String getRequired() {
    return required;
    }

        public void setRequired(String required) {
    this.required = required;
    }

        public Short getInitposition() {
    return initposition;
    }

        public void setInitposition(Short initposition) {
    this.initposition = initposition;
    }

        public Short getEndposition() {
    return endposition;
    }

        public void setEndposition(Short endposition) {
    this.endposition = endposition;
    }

        public Short getDecimalnumber() {
    return decimalnumber;
    }

        public void setDecimalnumber(Short decimalnumber) {
    this.decimalnumber = decimalnumber;
    }

        public String getInitvalue() {
    return initvalue;
    }

        public void setInitvalue(String initvalue) {
    this.initvalue = initvalue;
    }

        public String getFillercharacter() {
    return fillercharacter;
    }

        public void setFillercharacter(String fillercharacter) {
    this.fillercharacter = fillercharacter;
    }

        public String getLeftrefiller() {
    return leftrefiller;
    }

        public void setLeftrefiller(String leftrefiller) {
    this.leftrefiller = leftrefiller;
    }

        public String getAttribute() {
    return attribute;
    }

        public void setAttribute(String attribute) {
    this.attribute = attribute;
    }

        public Integer getTgenemessagestructure() {
    return tgenemessagestructure;
    }

        public void setTgenemessagestructure(Integer tgenemessagestructure) {
    this.tgenemessagestructure = tgenemessagestructure;
    }

}